public class Test09 {
	public static void main(String[] args) {
		int dec, p, k;
		int s[] = { 0,0,0,1,1,1,1,1 };
		dec = 0;
		p = 1;
		do
		{
			k = (int)Math.pow(2, (7 - p));
			dec += k * s[p];
			p++;
		} while (p < 8);
		if (s[0] != 0)
		{
			dec = 128 - dec;
			dec *= -1;
		}
		System.out.printf("%d", dec);
	}
}
